<script setup>
import { getUserLocale } from "../../lib/util";

const props = defineProps({
  value: String | Date,
});

const formatter = new Intl.DateTimeFormat(getUserLocale(), {
  year: "numeric",
  month: "2-digit",
  day: "2-digit",
});

const date = computed(() => {
  if (props.value instanceof Date) {
    return props.value;
  }
  return props.value ? new Date(props.value) : null;
});
const dateFormatted = computed(() => {
  return props.value ? formatter.format(date.value) : "N/A";
});
</script>

<template>
  <span>{{ dateFormatted }}</span>
</template>
